Subject: Re: bug#13979: 24.3.50; NS: scroll-bar not draggable

From: Stefan Monnier <[email-masked]>
Date: Sun, 17 Mar 2013 11:37:29 -0400

>>> Which code has changed to care about mouse-1 versus down-mouse-1?
>> The code that turns mouse-1 into mouse-2 in case of follow-link (which
>> is now run more often: it used to be done in the mouse-drag-region
>> command, but is now done in a key-translation-map entry).
> So shall we change key-translation-map or is it better for the NS-port to
> use mouse-1 for scroll events?

I don't know the backtrace for your latest problem, but for the other
the bug was in mouse-on-link-p which just needs to be fixed to return
the proper boolean for that case.

        Stefan